from enum import Enum


class UserCheck(Enum):
    USER_DOESNT_EXISTS = 0
    INVALID_CREDENTIALS = 1


class ErrCode(Enum):
    UNKNOWN_ERROR = 0
    USER_ALREADY_EXISTS = 1
    ALREADY_LOGGED_IN = 2
    INVALID_CREDENTIALS = 3
    INVALID_TOKEN = 4
    ROOM_DOESNT_EXIST = 10
    INVALID_ROOM_PASSWORD = 11
    USER_ALREADY_IN_OTHER_ROOM = 12
    ROOM_IS_FULL = 13
    GAME_IS_ALREADY_STARTED = 20
